Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.fo
Enum OdfTextAlignLastType

    java.lang.Object
      java.lang.Enum<OdfTextAlignLastType>
          org.odftoolkit.odfdom.dom.type.fo.OdfTextAlignLastType

All Implemented Interfaces:
  Serializable, Comparable<OdfTextAlignLastType>

    public enum OdfTextAlignLastType

extends Enum<OdfTextAlignLastType>

DOM implementation of OpenDocument attribute fo:text-align-last.

Enum Constant Summary
`CENTER`
`JUSTIFY`
`START`

Method Summary
`static OdfTextAlignLastType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTextAlignLastType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTextAlignLastType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTextAlignLastType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JUSTIFY

    public static final OdfTextAlignLastType JUSTIFY

### START

    public static final OdfTextAlignLastType START

### CENTER

    public static final OdfTextAlignLastType CENTER

Method Detail

### values

    public static OdfTextAlignLastType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTextAlignLastType c : OdfTextAlignLastType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTextAlignLastType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTextAlignLastType>`
  Returns:
    return the name of OdfTextAlignLastType

### toString

    public static String toString(OdfTextAlignLastType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTextAlignLastType, see fo:text-align-last
  Returns:
    return the name of OdfTextAlignLastType

### enumValueOf

    public static OdfTextAlignLastType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTextAlignLastType
  Returns:
    return the constant of OdfTextAlignLastType, see fo:text-align-last

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.